Does ip2country 8.x-1.8 work with 8.4?

Doing some research for D8.4

I see on the project page for “ip2country 8.x-1.8”, it says it’s a stable release for D8.0.0, do you think this will work for D8.4 as well?

Thanks,
Amy

Drupal version: 


Source: https://www.drupal.org/taxonomy/term/20/feed